[ << ] | [ >> ] |  |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

# 9. Command Line Arguments

To start the Form Designer simply type

    fdesign [-xformoptions] [-fdesignoptions] [files[.fd]]

An initial window will be created and mapped. Depending on the window manager, you may have the option to interactively select where to place the window if the `-geometry` option is not given. Next the program places the control panel on the screen. You can move this panel, if required, to the place you want (you can also change the default placement of the control panel via resources).

fdesign accepts all of the XForms command line options as well as the following

`-geometry geom`

  This option specifies the initial placement and size of the working area.

`-convert fd-file-list`

  Normally fdesign does its work interactively. This option causes it to simply read a list of fdesign output files (the `.fd` files) and emit the corresponding C-routines and header files. This can be useful e.g., in automatically compiling packages in Makefiles. Note that the input `.fd` will only be read but never modified when this option is used.

`-migrate fd-file-list`

  When fdesign is invoked with the `-convert` option it just creates new `.c` and `.h` files but leaves the `.fd` files unmodified. In some situations, e.g., if you also want to automatically upgrade `.fd` files created with older versions of fdesign, you can instead use the `-migrate` option which does all what the `-convert` option does but also writes out a new version of the `.fd` file it just read in. It also does a few extra checks, e.g., it will test if XBM and XPM image files used for bitmaps and pixmaps actually exist (if they don't the newly generated `.fd` file won't reference them anymore, so carefully look out for error messages and, if necessary, restore it from the generated `.fd.bak` backup file).

`-version`

  Prints current version and quits.

`-help`

  Prints a brief help message on command line options.

`-altformat`

  Generates an alternative output format.

`-border`

  Forces decorations on some types of windows so that you can move them (only necessary with some window managers).

`-unit point|pixel|mm|cp|cmm`

  Outputs object sizes in units other than pixels. cp and cmm stand for centi-point (1/100 of a point) and centi-mm (1/100 of a milli-meter). For typical displays, pixel and mm are too coarse and subject to round-off errors.

`-nocode`

  Suppresses the output of UI code. Sometimes useful if the UI code is not to be generated interactively, but rather generated by the make process using "fdesign -convert".

`-I header`

  Changes the output include file from `<forms.h>` to header. Per default, the header file name will be enclosed in angle brackets ('`<`' and '`>`') unless the name of the include file specified is already enclosed in double quote ('`"`'). Useful on systems where ``forms.h`' is renamed to something else or if you need an application header file with e.g., definitions of constants/defines for the UI that itself includes the `forms.h` file.

`-main`

  Emits a main program with callback stubs. Can be useful for simple programs.

`-callback`

  Emits callback function template in a separate file.

`-lax`

  Suppresses checking of variable and callback function names for being aceptable C variable names

`-bw borderwidth`

  Changes the default border width of the forms created.

Note that `-help`, `-version` and `-convert` do not require a connection to an X server. If an output unit other than the default (pixel) is selected, all object sizes in the output file will be in the unit requested. This kind of UI has a fixed and device resolution independent size (in theory at least) and can be useful for drawing applications.

fdesign recognizes the following resources:

`workingArea.geometry` | string | Geometry
`control.border` | bool | XForms borderwidth
`control.geometry` | string (position only) | Control window geometry
`attributes.geometry` | string (position only) | Attributes window Geometry
`attributes.background` | string (e.g., gray80) | Attributes window background
`align.geometry` | string (position only) | Align window geometry
`help.geometry` | string (position only) | Help window geometry
`convert` | bool | Convert
`unit` | string | Unit
`altformat` | bool | AltFormat
`xformHeader` | string | Header file name
`helpFontSize` | int | Help font size
`main` | bool | Main

Note that resource specification of convert requires an X connection. In addition, all XForms's resources specification can be used to influence the appearance of various panels. The most useful ones are the font sizes

`*XForm.FontSize` | all label font sizes
`XForm.PupFontSize` | all pup font sizes

[ << ] | [ >> ] |  |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

This document was generated by Jens Thoms Toerring on January 5, 2014 using texi2html 1.82.